﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Kartoteka
{
    public partial class CompForm : Form
    {
        private string cpu = null , gpu = null, os = null;
        private List<string> apps; 
        private Computer comp;
        public CompForm()
        {
            InitializeComponent();
            apps = new List<string>();
        }

        private void cpu_CheckedChanged(object sender, EventArgs e)
        {
            if (sender is RadioButton)
            {
                RadioButton button = (RadioButton)sender;
                if (button.Checked)
                {
                    cpu = button.Text;
                }
            }
        }

        private void os_CheckedChanged(object sender, EventArgs e)
        {
            if (sender is RadioButton)
            {
                RadioButton button = (RadioButton)sender;
                if (button.Checked)
                {
                    os = button.Text;
                }
            }
        }

        private void gpu_CheckedChanged(object sender, EventArgs e)
        {
            if (sender is RadioButton)
            {
                RadioButton button = (RadioButton)sender;
                if (button.Checked)
                {
                    gpu = button.Text;
                }
            }
        }

        private void av_CheckedChanged(object sender, EventArgs e)
        {
            CheckBox box = (CheckBox)sender;
            if (box.Checked)
            {
                apps.Add(box.Text);
            }
            else
            {
                if (apps.Contains(box.Text))
                {
                    apps.Remove(box.Text);
                }
            }
        }

        private void ok_Click(object sender, EventArgs e)
        {
            if (cpu != null && gpu != null && os != null)
            {
                comp = new Computer(cpu, gpu, os, apps);
            }
            else
            {
                DialogResult = DialogResult.None;
            }
        }

        internal Computer getComputer()
        {
            return comp;
        }

        private void office_CheckedChanged(object sender, EventArgs e)
        {
            CheckBox box = (CheckBox)sender;
            if (box.Checked)
            {
                apps.Add(box.Text);
            }
            else
            {
                if (apps.Contains(box.Text))
                {
                    apps.Remove(box.Text);
                }
            }
        }
    }
}
