﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.IO;

namespace Kartoteka
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void novaToolStripMenuItem_Click(object sender, EventArgs e)
        {
            listView1.Items.Clear();
        }

        private void otevritToolStripMenuItem_Click(object sender, EventArgs e)
        {
            if (openFileDialog1.ShowDialog() == DialogResult.OK)
            {
                LoadData(openFileDialog1.FileName);
            }
        }

        private void LoadData(string filename)
        {
            TextReader reader = null;
            try
            {
                reader = new StreamReader(filename);
                String csvComp = reader.ReadLine();
                while (csvComp != null)
                {
                    Computer comp = new Computer(csvComp);
                    addComputer(comp);
                    csvComp = reader.ReadLine();
                }
            }
            finally
            {
                if (reader != null)
                {
                    reader.Close();
                }
            }
        }

        private void ulozitToolStripMenuItem_Click(object sender, EventArgs e)
        {
            if (saveFileDialog1.ShowDialog() == DialogResult.OK)
            {
                saveData(saveFileDialog1.FileName);
            }
        }

        private void saveData(string filename)
        {
            TextWriter writer = null;
            try
            {
                writer = new StreamWriter(filename);
                foreach (ListViewItem item in listView1.Items)
                {
                    writer.WriteLine(item.SubItems[0].Text +
                     ';' + item.SubItems[1].Text + ';' + 
                     item.SubItems[2].Text + ';' +
                     item.SubItems[3].Text);
                    
                }
            }
            finally
            {
                if(writer!=null) 
                {
                    writer.Close();
                }
            }
        }
    
        private void konecToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Application.Exit();
        }

        private void zadatToolStripMenuItem_Click(object sender, EventArgs e)
        {
            CompForm compForm = new CompForm();
            if (compForm.ShowDialog() == DialogResult.OK)
            {
                addComputer(compForm.getComputer());
            }
        }

        private void addComputer(Computer comp)
        {
            ListViewItem item = new ListViewItem();
            item.SubItems[0].Text = comp.getCPU();
            item.SubItems.Add(comp.getGPU());
            item.SubItems.Add(comp.getOS());
            item.SubItems.Add(comp.getApps());
            listView1.Items.Add(item);

        }

        private void zrusitToolStripMenuItem_Click(object sender, EventArgs e)
        {
            if (listView1.SelectedIndices.Count > 0)
            {
                removeComputer();
            }
        }

        private void removeComputer()
        {
            if (listView1.SelectedIndices.Count > 0)
            {
                foreach (int idx in listView1.SelectedIndices)
                {
                    listView1.Items.RemoveAt(idx);
                }
            }
        }
    }
}
